# include SEP rules

# define related directories
RESDIR = Fig
mydir=./
#mydir=/net/server/xukai/huo/xukai1/report/12Spring/VTI_inversion/
FBIN = ${mydir}/Bin/f
CBIN = ${mydir}/Bin/c
FOBJ = ${mydir}/Obj
COBJ = ${mydir}/Obj
SRCDIR = ${mydir}/Src
RESULTSER =
RESULTSCR =
RESULTSNR = 
#FFTWLIBS = -L/opt/FFTW/lib/ -lfftw3f
#UF90LIBS = -lsepgeef90 -lsep2df90 -lsep3df90 -lsep3d -lsepf90 -lsep -lsupersetf90 -lsuperset -lsep -lsepauxf90 ${FFTWLIBS}
#UF90INCLUDES = -I.
#UF90FLAGS = -CB



######################################################################################################################
#CC = gcc
#UCINCLUDES = -I/opt/FFTW/include -I./

#CULIBS    = -lcutil -lcudart -lcublas -lcufft -lcuda
#CUINCPATH = $(CMNINCPATH) -I/opt/nvidia/cuda-2.3_sdk/C/common/inc/ -I/usr/local/cuda/include/
#CULIBPATH = $(CMNLIBPATH) -L/opt/nvidia/cuda-2.3_sdk/C/common/lib/linux -L/opt/nvidia/cuda-2.3_sdk/C/lib

#XCuda%.o : ${SRCDIR}/XCuda%.cu
#	nvcc -c $< $(CUINCPATH) $(CULIBPATH) $(CULIBS) -arch=sm_13 --ptxas-options=-v
######################################################################################################################
MPIDIR=/opt/MPI/mpich2-1.2.1-install


#F90C = ${MPIDIR}/bin/mpif90 -f90=ifort -openmp -I. -static-intel -check bounds 
#F90LD = ${MPIDIR}/bin/mpif90 -f90=ifort -openmp  -static-intel #${LDFLAGS} -L${SEPLIBDIR} 

#MYFC = /opt/MPI/bin/mpif90 -f90=ifort -static-intel
#a2us = -assume 2underscores

#farg.o : ${MPISRCDIR}/src/fortran/src/farg.f
#	${MYFC} -c $< ${a2us}

######################################################################################################################
FCOLEVEL = 3
MAIN_LIBS=-lsep2df90
SEPstuff= -I ${SEP}/include/  -L ${SEP}/lib
#FFTWLIBS = -L/opt/FFTW/lib/ -lfftw3f -L${mydir}/lib/ -lfftw3

UF90INCLUDES=-I. -I${MPIDIR}/include/
#UF90LIBS= -lsepauxf90 -lsepmathf90  -L${MPIDIR}/lib ${MAIN_LIBS} ${SEPstuff} ${FFTWLIBS} ${CULIBPATH} ${CULIBS}
UF90LIBS= -lsepauxf90 -lsepmathf90  -L${MPIDIR}/lib ${MAIN_LIBS} ${SEPstuff}
#UF90LIBS= -lsepauxf90 -lsepmathf90  ${MAIN_LIBS} ${SEPstuff} 
######################################################################################################################
#INCDIR=${SEP}/include/
#SEPLIBDIR=${SEP}/lib/
#SEPLIBS=-lsuperset -lsep3d -lsepf90 -lsep -lm
#MYLIBDIR=${MYDEV}/lib
#MYLIBS= -lsgjmig -lsgjbase
#MYINC=${MYDEV}/src/include/
#FLAGS=-O3
#GCC=/opt/intel/cce/9.1.042/bin/icc
#ALLFLAG= ${FLAGS} -I ${INCDIR} -I ${MYINC} -I /opt/intel_fce_80/include/ -L ${MYLIBDIR}  ${MYLIBS}  -L ${SEPLIBDIR} ${SEPLIBS}  -L/opt/intel_fce_80/lib/
#%.x:%.c ${MYLIBDIR}/libsgjmig.a  ${MYLIBDIR}/libsgjbase.a
#        ${GCC} $*.c -o $@ ${ALLFLAG}
######################################################################################################################
#FCEFLAGS= -I /slc/csd/intel/compilers/9.1_x86_64/include/ -L /slc/csd/intel/compilers/9.1_x86_64/lib/ 
#CCEFLAGS= -I /slc/csd/intel/compilers/9.1_x86_64/include/ -L /slc/csd/intel/compilers/9.1_x86_64/lib/  
CCEFLAGS=  -L/lib64 -I/slc/csd/intel/compilers/11.0_x86_64/include -L/slc/csd/intel/compilers/11.0_x86_64/lib/intel64
SEPINCDIR = ${SEP}/include
SEPLIBDIR = ${SEP}/lib
#SEPLIBS = -lsuperset -lsep3d -lsep -lm 
SEPLIBS =  -lsuperset -lsepauxf90 -lsep2df90 -lsep3df90 -lsep3d -lsepf90 -lsep 
#MYINC = -I ${mydir}/Src/ -I ${mydir}/Src/3dstencil/ -I ${mydir}/Src/2dstencil/ -I ${mydir}/Src/GA/ -I ${mydir}/FFTW/include -I ${mydir}/Obj/f/
MYINC = -I ${SRCDIR}/ -I ${SRCDIR}/2dVTIstencil   -I /opt/FFTW/include/ 
MYLIBS = -L/opt/FFTW/lib -lfftw3f 
FLAGS = -O2 -openmp
GCC=gcc
MPICC=/opt/MPI/mpich2-1.2.1-install/bin/mpicc
CC=icc
FC=ifort
ALLFLAG= ${FLAGS} -I ${SEPINCDIR} -L${SEPLIBDIR} ${SEPLIBS} ${MYINC} ${MYLIBS} ${CCEFLAGS} ${UF90INCLUDES} ${UF90LIBS}

${COBJ}/%.o:${SRCDIR}/%.c 
	${MPICC} -c ${SRCDIR}/$*.c ${ALLFLAG}  -o $@

${CBIN}/%.x:${COBJ}/%.o 
	${MPICC} ${COBJ}/$*.o ${ALLFLAG}
	mv a.out $@


${FOBJ}/%.o:${SRCDIR}/%.f90  
	${FC} -c ${SRCDIR}/$*.f90 ${ALLFLAG}  -o $@

${FOBJ}/%.mod:${SRCDIR}/%.f90 
	${FC} -c ${SRCDIR}/$*.f90 ${ALLFLAG}  -o $@

${FBIN}/%.x:${FOBJ}/billgen.o ${FOBJ}/%.o 
	${FC} ${FOBJ}/billgen.o ${FOBJ}/$*.o ${ALLFLAG} 
	mv a.out $@


